Package com.pixelmed.dicom

## Class CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry

- java.lang.Object
- - com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry
  - - com.pixelmed.dicom.CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry

- Enclosing class:
    CrossSectionalImageLibrary

      public static class CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry
      extends ImageLibrary.ImageLibraryEntry

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `frameOfReferenceUID` |
    `protected GeometryOfSlice` | `geometry` |

    - ### Fields inherited from class com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

      `hierarchicalImageReference`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CrossSectionalImageLibraryEntry​(AttributeList list)` |
    `CrossSectionalImageLibraryEntry​(ContentItemFactory.ImageContentItem imageContentItem, java.util.Map<java.lang.String,​HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)` |
    `CrossSectionalImageLibraryEntry​(HierarchicalImageReference hierarchicalImageReference, java.lang.String frameOfReferenceUID, GeometryOfSlice geometry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `constructCrossSectionalImageLibraryEntry​(HierarchicalImageReference hierarchicalImageReference, java.lang.String frameOfReferenceUID, GeometryOfSlice geometry)` |
    `ContentItem` | `getImageContentItem​(ContentItemFactory cif, ContentItem parent)` | Get a new ImageContentItem made from this ImageLibraryEntry to use in an SR tree.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

      `constructImageLibraryEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### frameOfReferenceUID

          protected java.lang.String frameOfReferenceUID

    - #### geometry

          protected GeometryOfSlice geometry

  - ### Constructor Detail

    - #### CrossSectionalImageLibraryEntry

          public CrossSectionalImageLibraryEntry​(ContentItemFactory.ImageContentItem imageContentItem,
                                                 java.util.Map<java.lang.String,​HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

    - #### CrossSectionalImageLibraryEntry

          public CrossSectionalImageLibraryEntry​(AttributeList list)
                                          throws DicomException

      Throws:
        `DicomException`

    - #### CrossSectionalImageLibraryEntry

          public CrossSectionalImageLibraryEntry​(HierarchicalImageReference hierarchicalImageReference,
                                                 java.lang.String frameOfReferenceUID,
                                                 GeometryOfSlice geometry)

  - ### Method Detail

    - #### constructCrossSectionalImageLibraryEntry

          protected void constructCrossSectionalImageLibraryEntry​(HierarchicalImageReference hierarchicalImageReference,
                                                                  java.lang.String frameOfReferenceUID,
                                                                  GeometryOfSlice geometry)

    - #### getImageContentItem

          public ContentItem getImageContentItem​(ContentItemFactory cif,
                                                 ContentItem parent)
                                          throws DicomException

      Description copied from class: `ImageLibrary.ImageLibraryEntry`

      Get a new ImageContentItem made from this ImageLibraryEntry to use in an SR tree.

      Has side effect of adding the fragment to the parent if the parent is not null.

      Overrides:
        `getImageContentItem` in class `ImageLibrary.ImageLibraryEntry`
      Parameters:
        `cif` - the ContentItemFactory to use
        `parent` - the parent content item (usually the Image Library CONTAINER content item)
      Returns:
        the new ImageContentItem
      Throws:
        `DicomException` - if error in DICOM encoding

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ImageLibrary.ImageLibraryEntry`